<!DOCTYPE html>
<html>
    <head>
        <title>Login Medico</title>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css">
    </head>
    <body onload="getRicordami()">
        <script>
        function getRicordami() {
            var cf = localStorage.getItem("cf_med");
            var psw = localStorage.getItem("psw_med");
            if (cf!==null && psw !==null) {  
                document.getElementById("cf").setAttribute("value", cf);
                document.getElementById("password").setAttribute("value", psw);
                document.getElementById("rememberMe").setAttribute("checked", true);
            }
        }
        function setRicordami() {
            if (document.getElementById("rememberMe").checked) {
                localStorage.setItem("cf_med", cf.value);
                localStorage.setItem("psw_med", password.value);
            }else{
                localStorage.removeItem("cf_med");
                localStorage.removeItem("psw_med");
            }
        }    
            
        function validateForm()
        {
            var cf = document.forms["form_richiamo"]["cf"];
            var password = document.forms["form_richiamo"]["password"];
           
        if (cf.value == "")                                  
                { 
                    window.alert("Inserisci un Codice fiscale!"); 
                    cf.focus(); 
                    return false; 
                } 
                
        if (password.value == "" )                                  
                { 
                    window.alert("Inserisci una password!");
                    password.focus();
                    return false; 
                } 
           setRicordami();
           return true;
        }
        </script>
        <form class="form-signin" action="login.handler" method="POST" onsubmit="return validateForm()" name="form_richiamo">
              <div class="text-center mb-4">
                <h3 class="h3 mb-3 font-weight-normal">Login Medico</h3>
                <p>Devi fare il login per poter accedere alle funzioni [...]</p>
            </div>
            <div class="form-label-group">
                <input type="text" id="cf" name="cf" class="form-control" placeholder="Codice Fiscale" required autofocus>
                <label for="cf_med">Codice Fiscale</label>
            </div>
            <div class="form-label-group">
                <input type="password" id="password" name="password" class="form-control" placeholder="Password" required>
                <label for="password_med">Password</label><br>
                <a href="forgotpsw.jsp">Password dimenticata?</a>
            </div>
            <div class="checkbox mb-3">
                <label>
                    <input type="checkbox" id="rememberMe" name="rememberMe" value="true"> Remember me
                </label>
            </div>
            <button class="btn btn-lg btn-primary btn-block" type="submit">Sign in</button>
        </form>
        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"></script>
    </body>
</html>